Problemi Risolti



Ultimamente gli ottimi repository debian-multimedia si sono disallineati con i repository ufficiali…

io su Debian lenny da qualche settimane vedevo tutti i video verdognoli con totem!

per risolvere basta disinstallare il pacchetto gstreamer0.10-ffmpeg-full di debian-multimedia e sostituirlo con gstreamer0.10-ffmpeg dei repository ufficiali

apt-get install gstreamer0.10-ffmpeg

A quanto pare lo sviluppo debian ultimamente (da quando etch è diventata stabile) ha avuto un boom nello sviluppo 🙂

comunque per stare aggiornati con eventuali disallineamenti tra debian multimedia e i repository ufficiali basta consultare l’homepage di debian-multimedia. A quanto pare ci sono problemi anche con altre applicazioni in questo periodo.

se volete sistemare le anteprime dei video potete usare la soluzione drastica (eliminarle tutte):

rm ~/.thumbnails/normal/*

oppure aprire la cartella ed eliminarle a mano se non sono molte:

nautilus ~/.thumbnails/normal/

bye


Questo articolo sarà sia in Italiano che in Inglese: scusate per gli strani colori ma aiuta a distinguere tra le due lingue.

Mi serviva per la tesi produrre delle superfici parametriche utilizzando Scilab, tutti gli esempi trovati nel manuale e su web non funzionavano e davano strani errori!!!! Così mi sono stufato e ho studiato un metodo alternativo per disegnarle…

Per disegnare una sfera parametrica (di prova) ho seguito il metodo suggerito dalle guide ricevendo l’errore che vedete:

This article will be either in Italian and in English: sorry for the weird colors but help to differentiate them.

I was in trying to plot a 3d parametric surface with Scilab, all the example I’ve found in the manual and on the web doesn’t worked for me giving some weird errors!!!! So i pissed off and worked around it finding my own way to draw a parametric surface…

To draw a parametric sphere (to test) I tried the way suggested by manuals getting the error you see:

u=linspace(0,%pi); // primo vettore dei parametri / first parameter vector

v=linspace(0,2*%pi); // secondo vettore dei parametri / second parameter vector

deff('[x,y,z]=fun(u,v)',['x=sin(u).*cos(v)','y=sin(u).*cos(v)','z=cos(u)']); // definizione dell’equazione parametrica / define the parametric equation

mesh(u,v,fun);

Z must not be a scalar or vector, not rendering surface.
!–error 999
set: color_mode property does not exist for this handle
at line 4 of function generic_i_h called by :
line 2 of function %s_i_h called by :
line 22 of function mesh called by :
mesh(u,v,fun);

Ho ricontrollato parecchie volte ma non ho fatto nulla di diverso da quello consigliato in numerose guide! Eppure non funziona così… Quindi ecco come ho risolto:

I checked a lot of times but exactly made what many guides advice to do! Nevertheless it doesn’t work this way… So here how i solved this issue:

(altro…)


I’ve translated the part that explain how to solve the problem with the Ati Mobility Radeon 9700 on my Asus A4K Notebook.

This laptop have a bug in the Bios that make busy all the MTRR registers…

here are the errors i got before fixing

$ dmesg

[fglrx] Maximum main memory to use for locked dma buffers: 1899 MBytes.
[fglrx] module loaded – fglrx 8.27.10 [Jul 27 2006] on minor 0
ACPI: PCI Interrupt Link [LNKE] enabled at IRQ 11
ACPI: PCI Interrupt 0000:01:00.0[A] -> Link [LNKE] -> GSI 11 (level, low) -> IRQ 11
mtrr: no more MTRRs available
[fglrx:firegl_addmap] *ERROR* mtrr allocation failed (-28)
[fglrx] Internal AGP support requested, but kernel AGP support active.
[fglrx] Have to use kernel AGP support to avoid conflicts.
[fglrx] AGP detected, AgpState = 0×1f00421b (hardware caps of chipset)
mtrr: no more MTRRs available
[fglrx:firegl_unlock] *ERROR* Process 4540 using kernel context 0

and

(II) fglrx(0): [drm] register handle = 0×00004000
(EE) fglrx(0): [agp] unable to acquire AGP, error “xf86_ENOSPC”
(EE) fglrx(0): cannot init AGP
(II) fglrx(0): [drm] removed 1 reserved context for kernel
(II) fglrx(0): [drm] unmapping 8192 bytes of SAREA 0×2000 at 0xb71af000
(WW) fglrx(0): ***********************************************
(WW) fglrx(0): * DRI initialization failed! *
(WW) fglrx(0): * (maybe driver kernel module missing or bad) *
(WW) fglrx(0): * 2D acceleraton available (MMIO) *
(WW) fglrx(0): * no 3D acceleration available *
(WW) fglrx(0): ********************************************* *

Here i explain how to fix this problem, it’s a translation of my italian article on my laptop.


Tempo fa ho parlato di una libreria per far funzionare l’audio di Enemy Territory con SDL, e quindi anche con Alsa.. la conseguenza ovvia è che si può ascoltare musica, usare TS e tutto ciò che preferite mentre giocate..

Ebbene..

oggi tornando sul sito web dell’autore di questa libreria ho scoperto che la versione r23 ha aggiunto il supporto a Quake 3 Arena (nonché Return to Castle Wolfenstain)! L’ho già testato! Funziona a meraviglia!Finalmente potrò usare Team Speak anche giocando a Q3A!!!

Ecco come fare.. è tutto molto semplice..

(altro…)


qualche giorno fa ho notato che collegando il mio disco esterno le unità non venivano più montate automaticamente dal mio Gnome (il problema si verifica anche per altri Destkop Manager, come KDE, perché è a monte)

il responsabile era Gparted (da poco aggiornato) come spiegato in questo bug. ( libparted 1.6.25.1, gparted 0.0.9 )

In pratica Gparted disabilità l’automount perché interferisce con il suo funzionamento…

il problema è che non lo riabilità alla chiusura!

(altro…)


Questo articolo è obsoleto… questo è più recente/utile.

Sto configurando un pc con Ubuntu Feisty e facevo qualche prova qua e là..

mi sono accorto che dopo aver installato K3B (software per masterizzare) e averlo avviato mi trovavo un messaggio a cui non ero abituato

Problemi di configurazione del sistema

Plugin di decodifica audio MP3 non trovato.
K3b non può trovare o caricare il plugin per il decoder MP3. Ciò vuol dire non potrà creare CD audio da file MP3. Molte distribuzioni Linux non includono il supporto MP3 per ragioni legali.
Soluzione: Per abilitare il support MP3, installa la libreria di decodifica MAD valida quanto il plugin di decodifica MP3 MAD di K3b (al più potrebbe risultare già installato ma non funzionare a causa della mancanza di libmad). Alcune distribuzioni permettono l’installazione del supporto MP3 tramite uno strumento di aggiornamento in linea (per esempio YOU di SuSE).

Mi sono detto: ah già! la questione brevetti sugli mp3 non permette al team di ubuntu di includerli in automatico.. probabilmente basta installare qualcosa..

il messaggio indirizza ad una risposta… mah..

cercando su web però non ho trovato una risposta immediata :/ mi sarei aspettato di trovarla nel wiki di Ubuntu.. ma non c’era!

quindi…

ecco come fare
(altro…)


Ieri cercando tra i TAG contrassegnati “Linux” ho visto questo post! Io qui non faccio altro che diffondere la cosa e descrivo la procedura perché sia più appetibile ad un utente inesperto! Il merito della “scoperta” è tutta di Ulisse.

I miei maggiori ringraziamenti vanno invece a chi lo ha creato, grazie Pyry Haulos e Kevin Vacit!

Si tratta di una libreria che va a sostituirsi a quella utilizzata da Enemy Territory per l’audio, utilizza SDL, quindi perfettamente compatibile con alsa…

AGGIORNAMENTO

La libreria è ora funzionante anche per Quake 3 Arena, il procedimento di installazione è il medesimo.. oppure potete seguire il “nuovo” procedimento di installazione, che descrivo qui.

Ho testato, e ho anche chiesto agli autori.. non c’è NESSUN problema ad usare punk buster con questo hack ( perché di hack si tratta )

Questa guida spiega tutti i singoli passaggi (non è l’unico modo per fare tutto), chi invece sa già come muoversi può utilizzare la guida di Ulisse che contiene solo l’essenziale 🙂

Ma veniamo alla guida…

(altro…)

Pagina successiva »